<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>IMGLIB: Integration</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="tilogo.gif"></a></td>
  <td bgcolor="red"><img src="titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.5.1-p1 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul></div>
<h1><a class="anchor" name="integrate">Integration</a></h1><a href="index.html" style="color: #ff0000;">Back</a><p>
<div></div><p>
<div>&nbsp;</div><p>
Since IMGLIB is a collection of individual kernels, any combination of the kernels that comprise IMGLIB may be integrated into a system individually. Integration, for single or multiple kernels, requires four simple steps:<p>
<ol type=1>
<li>Compile IMGLIB for c64x+ (optional)</li><li>Add API calls within system code</li><li>Compile system code</li><li>Link IMGLIB</li></ol>
<p>
The sections that follow provide details regarding the above four steps.<p>
<div></div><p>
<div>&nbsp;</div><h2><a class="anchor" name="compile">
Compile IMGLIB for c64x+ (optional)</a></h2>
<div><table rules="none" frame="box" cellspacing="4" cellpadding="4" width="100%" style="border: 1px #000000 solid;" border="1">
<tr>
<td>On installation, the IMGLIB libraries are built and ready to link. Therefore, this step is only required when the original kernel source code has been refined or contributions have been added. See <a class="el" href="building.html">IMGLIB Build Process</a> for details regarding building IMGLIB . </td></tr>
</table>
</div><p>
<div>&nbsp;</div><h2><a class="anchor" name="kernelcalls">
Add IMGLIB API Calls</a></h2>
<div><table rules="none" frame="box" cellspacing="4" cellpadding="4" width="100%" style="border: 1px #000000 solid;" border="1">
<tr>
<td>Add calls to IMGLIB kernels within the system source code as necessary. Any system source file that contains calls to an IMGLIB kernel will require that the IMGLIB header file <code> imglib.h </code> is included. See the <a href="./imglib_html/index.html">IMGLIB Function Reference</a> for details on individual kernel APIs. </td></tr>
</table>
</div><p>
<div>&nbsp;</div><h2><a class="anchor" name="kernelcalls">
Add IMGLIB API Calls</a></h2>
<div><table rules="none" frame="box" cellspacing="4" cellpadding="4" width="100%" style="border: 1px #000000 solid;" border="1">
<tr>
<td>To re-compile the system code, the path to the <code>packages</code> directory will need to be added to the compiler's include path search list. This path will depend on the IMGLIB root installation directory. This allows the main IMGLIB header file to be moved from within the installation directory and still recognize the individual kernel headers. </td></tr>
</table>
</div><p>
<div>&nbsp;</div><h2><a class="anchor" name="linking">
Linking IMGLIB</a></h2>
<div><table rules="none" frame="box" cellspacing="4" cellpadding="4" width="100%" style="border: 1px #000000 solid;" border="1">
<tr>
<td>The path to the IMGLIB libraries must be provided to the linker via the -l directive. See <a class="el" href="install.html#librarydir">Library Directory</a> for IMGLIB library details. </td></tr>
</table>
</div><p>
<div>&nbsp;</div> <hr size="1"><small>
Copyright  2012, Texas Instruments Incorporated</small>
</body>
</html>
